close all;                                    % 모든 생성된 창을 닫음 
clear all;                                    % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                          % 명령(command) 창을 비움

n=0:40;                                       % 시간축 설정
num=[1 0.5 0];                                % 전달 함수 분자의 계수 
den=[1 -1.6 0.8];                             % 전달 함수 분모의 계수
[p z]=pzmap(num,den);                         % 극, 영점 계산
Hf=freqz(num, den);                           % 주파수 응답 계산 
h=dimpulse(num,den,length(n));                % 임펄스 응답 계산
s=dstep(num,den,length(n));                   % 계단 응답 계산

figure(1)                                     % 그림 창 1 지정
zplane(num, den);                             % 극과 영점을 그림
title('\bf{시스템의 극과 영점}');              % 그림 제목
figure(2)                                     % 그림창 2 지정
freqz(num, den);                              % 주파수 응답을 그림
title('\bf{시스템의 주파수 응답}');            % 그림 제목
figure(3)                                     % 그림창 3 지정
subplot(2,1,1);                               % 2행 1열 분할 그림 창의 1번 창
stem(n,h);                                    % 임펄스 응답을 그림
title('\bf{시스템의 임펄스 응답}');            % 그림 제목
xlabel('\bf{n}'); grid on;                    % x축 라벨 및 그리드 표시 
subplot(2,1,2);                               % 2행 1열 분할 그림 창의 2번 창
stem(n,s);                                    % 계단 응답을 그림
title('\bf{시스템의 계단 응답}');              % 그림 제목
xlabel('\bf{n}'); grid on;                    % x축 라벨 및 그리드 표시 